File gnome-desktop-sharp2.changes of Package gnome-desktop-sharp2

-------------------------------------------------------------------
Mon Jun 11 19:18:54 UTC 2018 - bjorn.lie@gmail.com

- Drop optional pkgconfig(vte) BuildRequires: No longer depend on
  an obsolete version of vte.
- Following the above, drop vte016-sharp sub-package.
- Run spec-cleaner, modernize spec file.

-------------------------------------------------------------------
Fri May  4 16:55:43 UTC 2018 - bjorn.lie@gmail.com

- Drop pkgconfig(libgnomeprint-2.2) and
  pkgconfig(libgnomeprintui-2.2) BuildRequires and following this
  the no longer built gnome-print-sharp sub-package.

-------------------------------------------------------------------
Fri Jul  1 16:47:43 UTC 2016 - toddrme2178@gmail.com

- Fix typo in Group tag.

-------------------------------------------------------------------
Fri Feb 12 06:40:52 UTC 2016 - i@marguerite.su

- according to github.com/mono/gtksourceview2-sharp,
  gtksourceview-sharp2 was absorbed by gnome-desktop-sharp2.
  so gtksourceview2-sharp sub-package should Provide it.
- RPM group changed to Development/Languages/Mono

-------------------------------------------------------------------
Fri Jan  8 06:54:44 UTC 2016 - i@marguerite.su

- remove _use_internal_dependency_generator (boo#960925)

-------------------------------------------------------------------
Mon Dec 28 15:11:44 UTC 2015 - i@marguerite.su

- revert the rename of gtksourceview2-sharp, vte016-sharp, wnck-sharp,
  I did the rename because rpmlint showed errors and recommended
  those names, but it was wrong.
- the provides/requires on .so files are actually not useless,
  but the workaround to prevent those errors.
- fix typos of Requires to Provides on gnome-desktop-sharp2-devel

-------------------------------------------------------------------
Sat Dec 26 15:31:46 UTC 2015 - i@marguerite.su

- rename gtksourceview2-sharp to libgtksourceview2sharpglue-2
- rename wnck-sharp to libwncksharpglue-2
- rename vte016-sharp to libvtesharpglue-2
- add missing post/postun fields to them to fix tumbleweed builds
- remove env_options rpm macro, which is not used by opensuse
- update upstream url: https://github.com/mono/gnome-desktop-sharp
- remove useless provides/requires on .so files
- remove non-existent sub-package: gtkhtml314-sharp
- define _use_internal_dependency_generator to 0, to make
  custom __find_requires/provides actually work
- split gnome-desktop-sharp2-devel to contain all the .pc files

-------------------------------------------------------------------
Tue Mar  5 13:16:18 UTC 2013 - coolo@suse.com

- update license to new format

-------------------------------------------------------------------
Sat Jun 30 12:32:47 UTC 2012 - zaitor@opensuse.org

- Clean up spec for acceptance in openSUSE Factory.
- Drop %if's for building for other distros. and therefore drop
  sources gnome-desktop-sharp-2.20.1.tar.bz2 and
  gnome-desktop-sharp-2.24.0.tar.bz2, and lots of distro and
  version specific buildrequires.
- Drop nautilusburn-sharp subpackage, not built anymore.
- Drop gtkhtml314-sharp subpackage, not built anymore.
- Drop gnome-panel-sharp subpackage, not built anymore.
- Exchange BuildRequires: gnome-sharp2, gtk-sharp2-gapi, mono-devel
  and monodoc-core to BuildRequires: pkgconfig (gnome-sharp-2.0,
  gapi-2.0, mono and monodoc).

-------------------------------------------------------------------
Mon Feb 13 10:16:09 UTC 2012 - nmarques@opensuse.org

- Add requires for openSUSE >= 1210 (bnc#738011):
  - 'Requires: libwnck-1-22' to wnck-sharp
  - 'Requires: 'libgnome-desktop-2-17' to gnome-desktop-sharp2

-------------------------------------------------------------------
Wed Sep 28 12:11:57 UTC 2011 - coolo@suse.com

- make it build for factory in ignoring dropped stuff

-------------------------------------------------------------------
Wed Sep  8 02:52:46 CEST 2010 - vuntz@opensuse.org

- Use pkgconfig() style BuildRequires on 11.3 and later:
  + old-style: gnome-desktop-devel, gtkhtml2-devel,
    gtksourceview-devel, libgnomeprintui-devel, librsvg-devel,
    libwnck-devel, vte-devel.
  + new-style: gnome-desktop-2.0, gtksourceview-2.0,
    libgnomeprint-2.2, libgnomeprintui-2.2, libgtkhtml-3.14,
    libpanelapplet-2.0, librsvg-2.0, libwnck-1.0, vte.
- This will make it easier to switch to GNOME 3 libraries in
  openSUSE, since they can cause changes in package names.

-------------------------------------------------------------------
Mon Apr 12 07:14:19 UTC 2010 - aj@suse.de

- Fix libgnome-desktop version number for 11.3.

-------------------------------------------------------------------
Fri Apr  9 08:03:13 UTC 2010 - aj@suse.de

- Disable nautilusburn for openSUSE 11.3

-------------------------------------------------------------------
Mon Aug 31 19:49:20 UTC 2009 - ajorgensen@novell.com

- Update to 2.26.0
  * Fix so version of native library dependency

-------------------------------------------------------------------
Tue Aug 11 16:51:54 UTC 2009 - ajorgensen@novell.com

- ppc64 is native now (don't use biarchcompat)

-------------------------------------------------------------------
Thu Feb 12 00:58:16 CET 2009 - ro@suse.de

- add libgnomeprintui-devel to buildrequires to fix build 

-------------------------------------------------------------------
Wed Sep 10 09:38:07 MDT 2008 - ajorgensen@novell.com

- Re-add 2.20.1 tarball as I need it to build on 11.0

-------------------------------------------------------------------
Wed Sep  8 11:18:07 MDT 2008 - ajorgensen@novell.com

- Update to 2.24.0
  * Update to GNOME 2.24 API
  * Add gnome-print-sharp.dll and gnome-panel-sharp.dll assemblies
    along with .pcs to detect their availability

-------------------------------------------------------------------
Wed Apr 09 09:25:27 MST 2008 - wberrier@novell.com

- Remove gnome-desktop-sharp2-complete package
- Rename gnomedesktop2-sharp to gnome-desktop-sharp2 so we have a
  sub-package named the same as the .spec file
- Don't call autoreconf since we don't have any patches

-------------------------------------------------------------------
Fri Jan 11 22:25:27 CST 2008 - mkestner@novell.com

- Initial package of gnome-desktop-sharp2